define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            Form.api.bindevent($("form[role=form]"), function(data, ret) {
                if(ret.code==1){
                    Backend.api.addtabs( ret.url,'正在练习');
                }
            });
        },
        examing: function () {
            $(document).ready(function() {
                var countdownTime = Config.timer; // 倒计时时间，单位为秒
                var display = $('#timer');

                var timer = setInterval(function() {
                    var minutes = parseInt(countdownTime / 60, 10);
                    var seconds = parseInt(countdownTime % 60, 10);

                    minutes = minutes < 10 ? "0" + minutes : minutes;
                    seconds = seconds < 10 ? "0" + seconds : seconds;

                    display.text(minutes + "分" + seconds+'秒');

                    if (--countdownTime < 0) {
                        clearInterval(timer);
                        display.text("时间到!");
                    }
                }, 1000);
            });

            $(document).on('click', '.btn-replace', function () {
                console.log($(".other_replace").val());
                if($(".other_replace").val()=='[{"fault_id":"","request_status":"0"}]'){
                    Layer.alert('请先填写更换件');
                    return false;
                }
                $.ajax({
                    url: "student/collection/replace/ids/"+Config.ids,
                    type: 'post',
                    data: {
                        other_replace: $(".other_replace").val(),
                        other_report: $(".other_report").val(),
                    },
                    success: function (data) {
                        if(data.code==1){
                            window.location.reload();
                        }
                        if(data.code==0){
                            Layer.alert(data.msg);
                        }
                    }
                });
            });

            //追加记录
            $(document).on('click', '.btn-addlog', function () {
                var ids = Config.ids;
                var other_report_count = Config.other_report_count;
                if(other_report_count==3){
                    Layer.alert('维修报告最多允许增加三条');
                    return false;
                }
                Fast.api.open('student/collection/addreport/ids/'+ids, __("维修报告"), {area: ["95%", "85%"], maxmin: true, moveOut: false});
            });
            //编辑记录
            $(document).on('click', '.btnedit', function () {
                var ids = Config.ids;
                var xh_id = $(this).attr('xh_id');
                Fast.api.open('student/collection/editreport/ids/'+ids+'/xh_id/'+xh_id, __("维修报告"), {area: ["95%", "85%"], maxmin: true, moveOut: false});
            });
            //移除记录
            $(document).on('click', '.btnmove', function () {
                var ids = Config.ids;
                var xh_id = $(this).attr('xh_id');
                Layer.confirm(
                    __('确定要移除此条记录吗?', ids.length),
                    {icon:3, title: __('Warning'), shadeClose: true, btn: [__('OK'), __('Cancel')]},
                    function (index) {
                        var url = 'student/collection/delreport/ids/'+ids;
                        options = {url: url, data: {xh_id: xh_id}};
                        Fast.api.ajax(options, function (data, ret) {
                            window.location.reload();
                        }, function (data, ret) {
                            var error = $(that).data("error") || $.noop;
                            if (typeof error === 'function') {
                                if (false === error.call(that, data, ret)) {
                                    return false;
                                }
                            }
                        });
                        Layer.close(index);
                    }
                );

            });
            
            $(document).on("fa.event.appendfieldlist", "#second-fieldlist .btn-append", function (e, obj) {
                //绑定动态下拉组件
                Form.events.selectpage(obj);

            });

            Form.api.bindevent($("form[role=form]"), function(data, ret) {
                if(ret.code==1){
                    Backend.api.addtabs( ret.url,'得分分析');
                }
            });
        },
        analysis: function () {
            Form.api.bindevent($("form[role=form]"), function(data, ret) {
                if(ret.code==1){
                    Backend.api.addtabs( ret.url);
                }
            });
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
